﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using HarmonyLib;
using RimWorld;
using Verse;

namespace Isekaiob.OverPoweredMeditation
{
    [StaticConstructorOnStartup]
    public class PatchMain
    {
        static PatchMain()
        {
            Log.Message("[IKOB] OverPowered Meditation now patching Assemblies using harmony");
            Harmony hinstance = new Harmony("Isekaiob.OverPoweredMeditation");
            hinstance.PatchAll(Assembly.GetExecutingAssembly());

#if DEBUG
            foreach (var VARIABLE in hinstance.GetPatchedMethods())
            {
                Verse.Log.Message(string.Format("[IKOB]OPM Patched Method {0}", VARIABLE.Name));
            }
#endif
        }
    }
}
